## gate.security
Class SecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException
                        |
                        +--gate.security.SecurityException

All Implemented Interfaces:
  Serializable

public class SecurityException
extends GateException

This exception indicates security violation.

See Also:
  Serialized Form

Constructor Summary
`SecurityException()` Default construction
`SecurityException(Exception e)` Construction from exception
`SecurityException(String s)` Construction from string

Methods inherited from class gate.util.GateException
`printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityException

    public SecurityException()

  Default construction

### SecurityException

    public SecurityException(String s)

  Construction from string

### SecurityException

    public SecurityException(Exception e)

  Construction from exception